Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361170 - [Bitrot - RFE]: Bitrot Events
Summary: [Bitrot - RFE]: Bitrot Events
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: bitrot
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Kotresh HR
QA Contact: Sweta Anandpara
URL:
Whiteboard: USM-Gluster integration
Depends On:
Blocks: 1351503 1367815
TreeView+ depends on / blocked
 
Reported: 2016-07-28 12:32 UTC by Kotresh HR
Modified: 2017-03-23 05:43 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1367815 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:43:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Kotresh HR 2016-07-28 12:32:51 UTC
Description of problem:

This RFE is to track the changes required in the bitrot component to generate the events to be consumed by the eventing framework.

Comment 3 Kotresh HR 2016-08-17 14:35:48 UTC
Upstream Patch:

http://review.gluster.org/#/c/15190/

Comment 4 Atin Mukherjee 2016-09-16 10:41:15 UTC
downstream patch https://code.engineering.redhat.com/gerrit/#/c/84792 is merged now.

Comment 7 Sweta Anandpara 2016-10-25 05:57:32 UTC
Below mentioned bitrot events are successfully captured and seen when the corresponding operations are done.
"EVENT_BITROT_ENABLE", "EVENT_BITROT_DISABLE", "EVENT_BITROT_SCRUB_THROTTLE", "EVENT_BITROT_SCRUB_FREQ", "EVENT_BITROT_SCRUB_OPTION", "EVENT_BITROT_BAD_FILE".

For the new CLI 'scrub ondmeand', an event is not generated for which BZ 1384311 has been raised. 

Moving this RFE to verified in 3.2


"{u'message': {u'gfid': u'3682625d-6d74-41bf-9f9d-c1d86210de64', u'path': u'/test1', u'brick': u'/bricks/brick0/repthree3'}, u'event': u'BITROT_BAD_FILE', u'ts': 1477286082, u'nodeid': u'1e8967ae-51b2-4c27-907e-a22a83107fd0'}"

"{u'message': {u'name': u'dist'}, u'event': u'BITROT_ENABLE', u'ts': 1476334598, u'nodeid': u'fcfacf2e-57fb-45ba-b1e1-e4ba640a4de5'}"

"{u'message': {u'name': u'dist'}, u'event': u'BITROT_DISABLE', u'ts': 1476336190, u'nodeid': u'fcfacf2e-57fb-45ba-b1e1-e4ba640a4de5'}"

"{u'message': {u'name': u'dist', u'value': u'aggressive'}, u'event': u'BITROT_SCRUB_THROTTLE', u'ts': 1476334757, u'nodeid': u'fcfacf2e-57fb-45ba-b1e1-e4ba640a4de5'}"

"{u'message': {u'name': u'dist', u'value': u'minute'}, u'event': u'BITROT_SCRUB_FREQ', u'ts': 1476334792, u'nodeid': u'fcfacf2e-57fb-45ba-b1e1-e4ba640a4de5'}"

"{u'message': {u'name': u'dist', u'value': u'pause'}, u'event': u'BITROT_SCRUB_OPTION', u'ts': 1476334930, u'nodeid': u'fcfacf2e-57fb-45ba-b1e1-e4ba640a4de5'}"

Comment 9 errata-xmlrpc 2017-03-23 05:43:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.